import * as $dara from '@darabonba/typescript';
export declare class DescribeInstanceStatusResponseBodyInstanceStatusesInstanceStatus extends $dara.Model {
    /**
     * @remarks
     * The ID of the instance.
     *
     * @example
     * i-bp1j4i2jdf3owlhe****
     */
    instanceId?: string;
    /**
     * @remarks
     * The status of the instance. Valid values:
     *
     * *   Pending: The instance is being created.
     * *   Running: The instance is running.
     * *   Starting: The instance is being started.
     * *   Stopping: The instance is being stopped.
     * *   Stopped: The instance is stopped.
     *
     * @example
     * Running
     */
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceStatusResponseBodyInstanceStatuses extends $dara.Model {
    instanceStatus?: DescribeInstanceStatusResponseBodyInstanceStatusesInstanceStatus[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceStatusResponseBody extends $dara.Model {
    /**
     * @remarks
     * The IDs and status of the ECS instances.
     */
    instanceStatuses?: DescribeInstanceStatusResponseBodyInstanceStatuses;
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 1
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of instances.
     *
     * @example
     * 58
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
